<?php

namespace App\controleur;
class MembreControleur extends UtilisateurControleur
{
    public function __construct()
    {
        global $twig;
        if (!isset($_REQUEST["action"])) {
            $action = NULL;
        } else {
            $action = \App\config\Validation::nettoyerString($_REQUEST["action"]);
        }
        switch ($action) {
            case "deconnexion":
                $this->deconnexion();
                break;
            case "proposerOffre":
                $this->proposerOffre();
                break;
            case "consulterProfil":
                $this->consulterProfil();
                break;
            case "modifierProfil":
                $this->modifierProfil();
                break;
            case "signaler":
                $this->signaler();
                break;
            default:
                parent::__construct();
        }
    }

    protected function deconnexion()
    {
        //TODO
    }

    protected function proposerOffre()
    {
        //TODO
    }

    protected function consulterProfil()
    {
        //TODO
    }

    protected function modifierProfil()
    {
        //TODO
    }

    protected function signaler()
    {
        //TODO
    }
}